---
sidebar_position: 0
---

# monitors

The `sos.monitors` API groups together methods for providing information about monitors connected to the device.

:::note
This API is available only on Linux devices.
:::

## Methods

### getList()

The `getList()` method returns a list of monitors currently connected to the device.

```ts expandable
getList(): Promise<IConnectedMonitor[]>;
// show-more
interface IConnectedMonitor {
    manufacturer: string;
    model: string;
    serial: string;
    firmware?: string;
}

```

#### Return value

A promise that resolves to an array of connected monitors.

## API Example

```ts
import { sos } from '@signageos/front-applet';

void sos.onReady(async () => {
	const monitors = await sos.monitors.getList();

	for (const { model, manufacturer, serial } of monitors) {
		console.log('Connected monitor: ', { model, manufacturer, serial });
	}
});

```